define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");

	var Model = function() {
		this.callParent();
		this._id =null;
	};

	Model.prototype.dataCustomRefresh = function(event) {
		var data = event.source;
		var limit = event.limit;
		var page = Math.ceil(event.offset / event.limit) + 1;
		$.ajax({
			type : 'GET',
			url : "https://nutz.cn/yvr/api/v1/topics",
			data : {
				page : page,
				limit : limit
			},
			success : function(result) {
				var datas = result.data;
				for (var i = 0; i < datas.length; i++) {
					var row = datas[i];
					row.avatar_url = row.author.avatar_url;
					row.loginname = row.author.loginname;
				}
				data.loadData(datas, event.options.append);
				if (limit > datas.length) {
					data.setTotal(data.getCount());
				} else {
					data.setTotal(data.getCount() + 1);
				}
			}
		});

	};

	Model.prototype.dataDetailCustomRefresh = function(event) {
		var data = event.source;
		if (!this._id) {
			event.cancel = true;
			data.clear();
			return;
		} 
		
		
		var limit = event.limit;
		var page = Math.ceil(event.offset / event.limit) + 1;
		$.ajax({
			type : 'GET',
			url : "https://nutz.cn/yvr/api/v1/topic/" + this._id,
			data : {
				page : page,
				limit : limit
			},
			success : function(result) {
				var datas = result.data.replies;
				for (var i = 0; i < datas.length; i++) {
					var row = datas[i];
					row.avatar_url = row.author.avatar_url;
					row.loginname = row.author.loginname;
				}
				data.loadData(datas, event.options.append);
				if (limit > datas.length) {
					data.setTotal(data.getCount());
				} else {
					data.setTotal(data.getCount() + 1);
				}
			}
		});

	};

	Model.prototype.detailActive = function(event){
		if(this.comp("dataList").getCurrentRowID() !== this._id){
			this._id =this.comp("dataList").getCurrentRowID();
			this.comp("dataDetail").refreshData();
		}
	};

	return Model;
});